%global momorel 5
%global chkconfig_dep chkconfig
%global pygtk_name pygtk
%global pyversion 2.5
%global compile_py 1

# Macros
# This one is hardcoded because, well, it belongs there
#%%define _prefix /usr
# Because RPM is dumb
%define _unpackaged_files_terminate_build 0

Summary: Tools for managing the Oracle Cluster Filesystem 2
Name: ocfs2-tools
Version: 1.2.3
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Kernel
Source0: http://oss.oracle.com/projects/ocfs2-tools/dist/files/source/v1.2/%{name}-%{version}.tar.gz
NoSource: 0
Patch1: ocfs2-tools-1.2.3-kernel2625.patch
URL: http://oss.oracle.com/projects/ocfs2-tools/
Exclusiveos: Linux
Requires: coreutils, net-tools, modutils, e2fsprogs, %{chkconfig_dep}, glib >= 2.2.3
BuildRequires: e2fsprogs-devel, glib-devel >= 2.2.3, %{pygtk_name} >= 1.99.16, python-devel >= %{pyversion}, perl

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Tools to manage Oracle Cluster Filesystem 2 volumes.


%package -n ocfs2console
Summary: GUI frontend for OCFS2 management
Group: System Environment/Kernel
Requires: e2fsprogs, glib >= 2.2.3, vte >= 0.11.10, %{pygtk_name} >= 1.99.16, python >= %{pyversion}, ocfs2-tools = %{version}
AutoReqProv: No


%description -n ocfs2console
GUI frontend for management and debugging of Oracle Cluster Filesystem 2
volumes.


%prep
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .kernel2625~

%build
%configure --disable-debug --prefix=/usr --mandir=%{_mandir}
make


%install

mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp -f vendor/common/o2cb.init $RPM_BUILD_ROOT/etc/init.d/o2cb
cp -f vendor/common/ocfs2.init $RPM_BUILD_ROOT/etc/init.d/ocfs2
if [ -f /etc/redhat-release ]
then
    # Red Hat chkconfig is completely and utterly broken
    perl -p -i -e 'BEGIN() { $k=0;}  if (/^###/) { $k++ } elsif ($k == 1) { printf "#"};' $RPM_BUILD_ROOT/etc/init.d/o2cb
    perl -p -i -e 'BEGIN() { $k=0;}  if (/^###/) { $k++ } elsif ($k == 1) { printf "#"};' $RPM_BUILD_ROOT/etc/init.d/ocfs2
fi

# stop auto start
perl -p -i -e 's@^# chkconfig: (\d+) (\d+) (\d+)$@# chkconfig: - $2 $3@' %{buildroot}/etc/init.d/o2cb
perl -p -i -e 's@^# chkconfig: (\d+) (\d+) (\d+)$@# chkconfig: - $2 $3@' %{buildroot}/etc/init.d/ocfs2

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
cp -f vendor/common/o2cb.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/o2cb

make DESTDIR="$RPM_BUILD_ROOT" install

%if %{compile_py}
%{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT/%{_libdir}/python%{pyversion}/site-packages/ocfs2interface', ddir='%{_libdir}/python%{pyversion}/site-packages/ocfs2interface')"
%endif


%clean
rm -rf "$RPM_BUILD_ROOT"


%post
chkconfig --add o2cb >/dev/null
chkconfig --add ocfs2 >/dev/null

%preun
chkconfig --del ocfs2 >/dev/null
chkconfig --del o2cb >/dev/null


%files
%defattr(-,root,root)
%doc README.O2CB COPYING CREDITS MAINTAINERS
%doc documentation/users_guide.txt
/sbin/*
/etc/init.d/o2cb
/etc/init.d/ocfs2
%config /etc/sysconfig/o2cb
%dir %{_includedir}/o2cb
%{_includedir}/o2cb/*
%dir %{_includedir}/o2dlm
%{_includedir}/o2dlm/*
%dir %{_includedir}/ocfs2
%{_includedir}/ocfs2/*
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_mandir}/man8/*.8*
%exclude %{_mandir}/man8/ocfs2console.8*

%files -n ocfs2console
%defattr(-,root,root)
%{_libdir}/python%{pyversion}/site-packages/ocfs2interface
%{_sbindir}/ocfs2console
%{_mandir}/*/ocfs2console.8*

%changelog
* Wed Apr 23 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.3-5m)
- add patch for kernel-2.6.25

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.3-4m)
- rebuild against gcc43

* Wed Jun 20 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2.3-3m)
- stop auto start

* Mon Mar 12 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.3-2m)
- fix file conflicts

* Fri Mar  9 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.3-1m)
- update to 1.2.3

* Sun Dec 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.1-2m)
- rebuild against python-2.5

* Thu Sep 26 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2.1-1m)
- import to Momonga

* Thu Jan 27 2005 Manish Singh <manish.singh@oracle.com>
- Add ocfs2console

* Fri Jan 21 2005 Manish Singh <manish.singh@oracle.com>
- Initial rpm spec
